#2 Target directory varies between manual and silent install

closed-fixed
Kevin Cheng
None
5
2006-09-19
2006-09-13
Michael Heimpold
No

When installing the package manually by clicking
through the install
dialogs, "C:\Programme\TortoiseCVS" (the german
localized "Program Files" directory) is suggested as
target directory and the program files are placed
correctly there.
By using a silent switch (i.e. msiexec /qb-! /i
TortoiseCVS-1.8.27.msi) the installation is placed
under "C:\Program Files", i.e. the localized program
files directory is ignored or not recognized.

Discussion

  • Kevin Cheng
    Kevin Cheng
    2006-09-13

    Logged In: YES
    user_id=928649

    If you enable logging for both types of installs, what do
    you see in the log for the value of INSTALLDIR? Please
    paste the snippet of the log that looks like this:

    MSI (c) (24:4C) [10:34:46:220]: Doing action:
    DefaultTargetDir
    Action 10:34:46: DefaultTargetDir.
    Action start 10:34:46: DefaultTargetDir.
    MSI (c) (24:4C) [10:34:46:220]: PROPERTY CHANGE: Adding
    INSTALLDIR property. Its value is 'C:\Program
    Files\\TortoiseCVS'.
    Action ended 10:34:46: DefaultTargetDir. Return value 1.

     
  • Kevin Cheng
    Kevin Cheng
    2006-09-13

    • status: open --> pending
     
  • Logged In: YES
    user_id=238214

    Log of silent install (msiexec /qb-! /log logfile.txt /i
    TortoiseCVS-1.8.27.msi)

    (there is only the following line containing "INSTALLDIR",
    and no line "Action start ... DefaultTargetDir"):

    ...
    Property(S): TARGETDIR = C:\ Property(S): INSTALLDIR = C:\Program Files\TortoiseCVS\ ...

    Log of GUI install (msiexec /log logfile.txt /i TortoiseCVS-
    1.8.27.msi):

    === Logging started: 13.09.2006 16:04:51 ===
    Action start 16:04:51: INSTALL.
    Action start 16:04:51: AppSearch.
    Action 16:04:51: AppSearch. Searching for installed
    applications
    AppSearch: Property: INSTALLDIR, Signature:
    PreviousInstallLocationRegistrySearch
    AppSearch: Property: TEXTEDITOR, Signature:
    FileSearchTextEditorExe
    Action ended 16:04:51: AppSearch. Return value 1.
    ...
    Action start 16:04:51: DefaultTargetDir.
    Action ended 16:04:51: DefaultTargetDir. Return value 1.
    ...
    Property(C): TARGETDIR = C:\ Property(C): INSTALLDIR = C:\Programme\TortoiseCVS\ ...
    Property(C): D__ProgramFilesFolder = C:\Program Files\ Property(C): SourceDir = C:\Dokumente und
    Einstellungen\Administrator\Desktop\ ...
    Property(C): SystemFolder = C:\WINDOWS\system32\ Property(C): System16Folder = C:\WINDOWS\system\ Property(C): RemoteAdminTS = 1
    Property(C): TempFolder = C:\DOKUME~1\ADMINI~1\LOKALE~1
    \Temp\ Property(C): ProgramFilesFolder = C:\Programme\ Property(C): CommonFilesFolder = C:\Programme\Gemeinsame
    Dateien\ ...
    === Logging stopped: 13.09.2006 16:05:12 ===
    MSI (c) (C8:BC) [16:05:12:174]: Product: TortoiseCVS --
    Installation completed successfully.

     
    • status: pending --> open
     
  • Kevin Cheng
    Kevin Cheng
    2006-09-16

    • assigned_to: nobody --> kevincheng
     
  • Kevin Cheng
    Kevin Cheng
    2006-09-19

    Logged In: YES
    user_id=928649

    Try again with the package in the downloads area. I've
    made the package visible.

     
    • status: open --> closed-fixed
     
  • Logged In: YES
    user_id=238214

    Both silent and gui install go to the right place. Thank
    you for fixing.